//---------------------------------------------------------------------------
// Borland C++Builder
// Copyright (c) 1987, 1996 Borland International Inc.  All Rights Reserved.
//---------------------------------------------------------------------------
#if !defined (SampRegHPP)
#define SampRegHPP

//We define REGISTER_ALL_CONTROLS so that those header files below which
//include other header files in the $(bcb)\examples\controls\source directory, 
//are able to find such other header files. 
//
//When a component is registered using $(bcb)\examples\controls\sampreg.cpp,
//REGISTER_ALL_CONTROLS is similarly used to dictate which directory is 
//searched by the compiler when including other header files in the 
//$(bcb)\examples\controls\source directory. 
//
//When a component which has been registered using the file  
//$(bcb)\examples\controls\sampreg.cpp, is dropped onto a form, the statement
//#include <sampreg.h> is added to the form's header file.
//
//Please see $(bcb)\examples\controls\readme.txt for more information 
//regarding registering components in the C++ Builder IDE.

#define REGISTER_ALL_CONTROLS

#include <source\calendar.h>
#include <source\colorgrd.h>
#include <source\demolbl.h>
#include <source\diroutln.h>
#include <source\gauges.h>
#include <source\piereg.h>
#include <source\spin.h>

#endif  //SampRegHPP

